Page MenuHomePhabricator

Write pending queue consumer and schema
Closed, ResolvedPublic2 Story Points

Description

The pending queue will have a single consumer job, which copies the data into a RDBMS, preferably in a new database.

This data will need various indexes, at least:

  • Transaction ID
  • Timestamp
  • Gateway

Event Timeline

awight created this task.Apr 20 2016, 6:48 PM
awight claimed this task.
awight removed awight as the assignee of this task.Apr 21 2016, 12:59 AM
Ejegg claimed this task.May 2 2016, 7:01 PM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Internet Exploring board.

Change 287042 had a related patch set uploaded (by Ejegg):
WIP pending table schema

https://gerrit.wikimedia.org/r/287042

Change 287147 had a related patch set uploaded (by Ejegg):
WIP pending queue consumer

https://gerrit.wikimedia.org/r/287147

Change 287042 merged by jenkins-bot:
Pending table schema

https://gerrit.wikimedia.org/r/287042

awight added a comment.EditedJun 7 2016, 1:13 AM

@Ejegg
Should this be linked (and taken from WIP?) https://gerrit.wikimedia.org/r/#/c/288037

Ejegg added a comment.Jun 9 2016, 6:12 AM

Abandoning the stomp popAtomic - the code was pretty gruesome anyway

Change 287147 merged by jenkins-bot:
Consume pending queue to database

https://gerrit.wikimedia.org/r/287147

Ejegg closed this task as Resolved.Jul 15 2016, 5:40 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:50 PM